summaryrefslogtreecommitdiff
path: root/dev-ruby/localhost
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/localhost
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/localhost')
-rw-r--r--dev-ruby/localhost/Manifest3
-rw-r--r--dev-ruby/localhost/localhost-1.5.0.ebuild44
-rw-r--r--dev-ruby/localhost/localhost-1.6.0.ebuild44
-rw-r--r--dev-ruby/localhost/localhost-1.7.0.ebuild44
-rw-r--r--dev-ruby/localhost/metadata.xml9
5 files changed, 144 insertions, 0 deletions
diff --git a/dev-ruby/localhost/Manifest b/dev-ruby/localhost/Manifest
new file mode 100644
index 000000000000..aa2f58213689
--- /dev/null
+++ b/dev-ruby/localhost/Manifest
@@ -0,0 +1,3 @@
+DIST localhost-1.5.0.tar.gz 13437 BLAKE2B 9c6c8cb668af49f1b8250b4f1d977854ecc8bf7fa931b5d41db0712d2811900d7e7380d2c1235eb6800d2ae57a4eeadf56b76a5805cdb2c9bdd5ecf2e53076e4 SHA512 f95a0f53d8c88d61ff28591aae53faac631989b422102dd02f25707532fa38c297700bce020897442a12352af4da1e84bae0be9f1fedbab7c409188fc0b31377
+DIST localhost-1.6.0.tar.gz 14009 BLAKE2B 1736b74f4af04e8102c1aa990a6ece8ed8d6f8656126b134dfba6039a25df11941004703578adc22145d77dafaba57caedb104b4d2de13ed6072edb6a4721ab2 SHA512 96b1006b636c7a2da02d815e42efe23dd6790ae9b8f552b50a7710047b4f1a05c2aae4533a089163a27374902ecfdb3a76eee062e047054a8d733688a779ecce
+DIST localhost-1.7.0.tar.gz 14685 BLAKE2B 6a4651fe16f89f36581d64eb3137244c6425c6cbc84c9c6675440ffac0493a90665db1b24f4290cfef661da0feaf3d52aa8a8b83f626a1fc14b4375ed8657a81 SHA512 4ce454ad33e2a32d1c42c230e20dd1921d3f9eb7d255a8d23a555f7d555c6feb7ed5e635e8359cd90a761e36c4841655e7735c58c0cdd55d510be87d98866887
diff --git a/dev-ruby/localhost/localhost-1.5.0.ebuild b/dev-ruby/localhost/localhost-1.5.0.ebuild
new file mode 100644
index 000000000000..e05d11543c77
--- /dev/null
+++ b/dev-ruby/localhost/localhost-1.5.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md releases.md"
+RUBY_FAKEGEM_GEMSPEC="localhost.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manage a local CA for self-signed localhost development servers"
+HOMEPAGE="https://github.com/socketry/localhost"
+SRC_URI="https://github.com/socketry/localhost/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc x86"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/io-endpoint
+ dev-ruby/sus-fixtures-async
+ )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/covered/Id' config/sus.rb || die
+
+ sed -e "s:/tmp/state:${TMP}/state:" \
+ -i test/localhost/state.rb || die
+
+ # Avoid unpackaged sus-fixtures-async-http which has a huge dependency tree.
+ rm -f test/localhost/protocol.rb || die
+}
+
+each_ruby_test() {
+ # Tests fail in parallel as it tries to use the same port so
+ # manually replicate ruby-ng_sus for now, as ruby-ng_sus runs sus-parallel.
+ ${RUBY} -S sus || die
+}
diff --git a/dev-ruby/localhost/localhost-1.6.0.ebuild b/dev-ruby/localhost/localhost-1.6.0.ebuild
new file mode 100644
index 000000000000..e63c605205d5
--- /dev/null
+++ b/dev-ruby/localhost/localhost-1.6.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md releases.md"
+RUBY_FAKEGEM_GEMSPEC="localhost.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manage a local CA for self-signed localhost development servers"
+HOMEPAGE="https://github.com/socketry/localhost"
+SRC_URI="https://github.com/socketry/localhost/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc x86"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/io-endpoint
+ dev-ruby/sus-fixtures-async
+ )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/covered/Id' config/sus.rb || die
+
+ sed -e "s:/tmp/state:${TMP}/state:" \
+ -i test/localhost/state.rb || die
+
+ # Avoid unpackaged sus-fixtures-async-http which has a huge dependency tree.
+ rm -f test/localhost/protocol.rb || die
+}
+
+each_ruby_test() {
+ # Tests fail in parallel as it tries to use the same port so
+ # manually replicate ruby-ng_sus for now, as ruby-ng_sus runs sus-parallel.
+ ${RUBY} -S sus || die
+}
diff --git a/dev-ruby/localhost/localhost-1.7.0.ebuild b/dev-ruby/localhost/localhost-1.7.0.ebuild
new file mode 100644
index 000000000000..8aa58591cd7d
--- /dev/null
+++ b/dev-ruby/localhost/localhost-1.7.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md releases.md"
+RUBY_FAKEGEM_GEMSPEC="localhost.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manage a local CA for self-signed localhost development servers"
+HOMEPAGE="https://github.com/socketry/localhost"
+SRC_URI="https://github.com/socketry/localhost/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/io-endpoint
+ dev-ruby/sus-fixtures-async
+ )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/covered/Id' config/sus.rb || die
+
+ sed -e "s:/tmp/state:${TMP}/state:" \
+ -i test/localhost/state.rb || die
+
+ # Avoid unpackaged sus-fixtures-async-http which has a huge dependency tree.
+ rm -f test/localhost/protocol.rb || die
+}
+
+each_ruby_test() {
+ # Tests fail in parallel as it tries to use the same port so
+ # manually replicate ruby-ng_sus for now, as ruby-ng_sus runs sus-parallel.
+ ${RUBY} -S sus || die
+}
diff --git a/dev-ruby/localhost/metadata.xml b/dev-ruby/localhost/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/localhost/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>